<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateCasinosTable extends Migration {

	public function up()
	{
		Schema::create('casinos', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('name', 50)->index();
			$table->string('slug', 30)->index();
			$table->string('logo', 20)->index();
			$table->string('website', 50)->nullable()->index();
			$table->smallInteger('established_year')->index();
			$table->tinyInteger('rating_value')->nullable()->index();
			$table->tinyInteger('rating_count')->nullable()->index();
			$table->boolean('published')->index()->default(0);
		});
	}

	public function down()
	{
		Schema::drop('casinos');
	}
}