<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('page_content', function(Blueprint $table) {
			$table->foreign('page_id')->references('id')->on('pages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('page_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonuses', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_casinos', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_casinos', function(Blueprint $table) {
			$table->foreign('provider_id')->references('id')->on('providers')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_reviews', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_reviews', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_reviews', function(Blueprint $table) {
			$table->foreign('provider_id')->references('id')->on('providers')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_reviews', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_content', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_content', function(Blueprint $table) {
			$table->foreign('provider_id')->references('id')->on('providers')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('provider_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_active_countries', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_active_countries', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_active_language', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_active_language', function(Blueprint $table) {
			$table->foreign('lang_id')->references('id')->on('languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_attributes', function(Blueprint $table) {
			$table->foreign('attribute_id')->references('id')->on('attributes')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_attributes', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('attribute_content', function(Blueprint $table) {
			$table->foreign('attribute_id')->references('id')->on('attributes')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('attribute_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_content', function(Blueprint $table) {
			$table->foreign('bonus_id')->references('id')->on('bonuses')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_attributes', function(Blueprint $table) {
			$table->foreign('bonus_id')->references('id')->on('bonuses')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_attributes', function(Blueprint $table) {
			$table->foreign('attribute_id')->references('id')->on('attributes')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_active_countries', function(Blueprint $table) {
			$table->foreign('bonus_id')->references('id')->on('bonuses')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('bonus_active_countries', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_pages_content', function(Blueprint $table) {
			$table->foreign('casino_id')->references('id')->on('casinos')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('casino_pages_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('games', function(Blueprint $table) {
			$table->foreign('provider_id')->references('id')->on('providers')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('game_content', function(Blueprint $table) {
			$table->foreign('game_id')->references('id')->on('games')
						->onDelete('no action')
						->onUpdate('cascade');
		});
		Schema::table('game_content', function(Blueprint $table) {
			$table->foreign('website_lang_id')->references('id')->on('website_languages')
						->onDelete('no action')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('page_content', function(Blueprint $table) {
			$table->dropForeign('page_content_page_id_foreign');
		});
		Schema::table('page_content', function(Blueprint $table) {
			$table->dropForeign('page_content_website_lang_id_foreign');
		});
		Schema::table('bonuses', function(Blueprint $table) {
			$table->dropForeign('bonuses_casino_id_foreign');
		});
		Schema::table('provider_casinos', function(Blueprint $table) {
			$table->dropForeign('provider_casinos_casino_id_foreign');
		});
		Schema::table('provider_casinos', function(Blueprint $table) {
			$table->dropForeign('provider_casinos_provider_id_foreign');
		});
		Schema::table('casino_reviews', function(Blueprint $table) {
			$table->dropForeign('casino_reviews_casino_id_foreign');
		});
		Schema::table('casino_reviews', function(Blueprint $table) {
			$table->dropForeign('casino_reviews_user_id_foreign');
		});
		Schema::table('provider_reviews', function(Blueprint $table) {
			$table->dropForeign('provider_reviews_provider_id_foreign');
		});
		Schema::table('provider_reviews', function(Blueprint $table) {
			$table->dropForeign('provider_reviews_user_id_foreign');
		});
		Schema::table('casino_content', function(Blueprint $table) {
			$table->dropForeign('casino_content_casino_id_foreign');
		});
		Schema::table('casino_content', function(Blueprint $table) {
			$table->dropForeign('casino_content_website_lang_id_foreign');
		});
		Schema::table('provider_content', function(Blueprint $table) {
			$table->dropForeign('provider_content_provider_id_foreign');
		});
		Schema::table('provider_content', function(Blueprint $table) {
			$table->dropForeign('provider_content_website_lang_id_foreign');
		});
		Schema::table('casino_active_countries', function(Blueprint $table) {
			$table->dropForeign('casino_active_countries_casino_id_foreign');
		});
		Schema::table('casino_active_countries', function(Blueprint $table) {
			$table->dropForeign('casino_active_countries_country_id_foreign');
		});
		Schema::table('casino_active_language', function(Blueprint $table) {
			$table->dropForeign('casino_active_language_casino_id_foreign');
		});
		Schema::table('casino_active_language', function(Blueprint $table) {
			$table->dropForeign('casino_active_language_lang_id_foreign');
		});
		Schema::table('casino_attributes', function(Blueprint $table) {
			$table->dropForeign('casino_attributes_attribute_id_foreign');
		});
		Schema::table('casino_attributes', function(Blueprint $table) {
			$table->dropForeign('casino_attributes_casino_id_foreign');
		});
		Schema::table('attribute_content', function(Blueprint $table) {
			$table->dropForeign('attribute_content_attribute_id_foreign');
		});
		Schema::table('attribute_content', function(Blueprint $table) {
			$table->dropForeign('attribute_content_website_lang_id_foreign');
		});
		Schema::table('bonus_content', function(Blueprint $table) {
			$table->dropForeign('bonus_content_bonus_id_foreign');
		});
		Schema::table('bonus_content', function(Blueprint $table) {
			$table->dropForeign('bonus_content_website_lang_id_foreign');
		});
		Schema::table('bonus_attributes', function(Blueprint $table) {
			$table->dropForeign('bonus_attributes_bonus_id_foreign');
		});
		Schema::table('bonus_attributes', function(Blueprint $table) {
			$table->dropForeign('bonus_attributes_attribute_id_foreign');
		});
		Schema::table('bonus_active_countries', function(Blueprint $table) {
			$table->dropForeign('bonus_active_countries_bonus_id_foreign');
		});
		Schema::table('bonus_active_countries', function(Blueprint $table) {
			$table->dropForeign('bonus_active_countries_country_id_foreign');
		});
		Schema::table('casino_pages_content', function(Blueprint $table) {
			$table->dropForeign('casino_pages_content_casino_id_foreign');
		});
		Schema::table('casino_pages_content', function(Blueprint $table) {
			$table->dropForeign('casino_pages_content_website_lang_id_foreign');
		});
		Schema::table('games', function(Blueprint $table) {
			$table->dropForeign('games_provider_id_foreign');
		});
		Schema::table('game_content', function(Blueprint $table) {
			$table->dropForeign('game_content_game_id_foreign');
		});
		Schema::table('game_content', function(Blueprint $table) {
			$table->dropForeign('game_content_website_lang_id_foreign');
		});
	}
}